/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.aliyuncs.dycdpapi.model.v20170823;

import java.util.List;
import com.aliyuncs.AcsResponse;
import com.aliyuncs.dycdpapi.transform.v20170823.QueryOrderListResponseUnmarshaller;
import com.aliyuncs.transform.UnmarshallerContext;

/**
 * @author auto create
 * @version 
 */
public class QueryOrderListResponse extends AcsResponse {

	private String requestId;

	private String code;

	private String message;

	private List<DcdpOrderDetailDTO> dcdpOrderDetailDTOs;

	public String getRequestId() {
		return this.requestId;
	}

	public void setRequestId(String requestId) {
		this.requestId = requestId;
	}

	public String getCode() {
		return this.code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMessage() {
		return this.message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public List<DcdpOrderDetailDTO> getDcdpOrderDetailDTOs() {
		return this.dcdpOrderDetailDTOs;
	}

	public void setDcdpOrderDetailDTOs(List<DcdpOrderDetailDTO> dcdpOrderDetailDTOs) {
		this.dcdpOrderDetailDTOs = dcdpOrderDetailDTOs;
	}

	public static class DcdpOrderDetailDTO {

		private String instanceId;

		private String sid;

		private String gradeId;

		private String orderAppName;

		private String freeFlowAppName;

		private String expireTime;

		public String getInstanceId() {
			return this.instanceId;
		}

		public void setInstanceId(String instanceId) {
			this.instanceId = instanceId;
		}

		public String getSid() {
			return this.sid;
		}

		public void setSid(String sid) {
			this.sid = sid;
		}

		public String getGradeId() {
			return this.gradeId;
		}

		public void setGradeId(String gradeId) {
			this.gradeId = gradeId;
		}

		public String getOrderAppName() {
			return this.orderAppName;
		}

		public void setOrderAppName(String orderAppName) {
			this.orderAppName = orderAppName;
		}

		public String getFreeFlowAppName() {
			return this.freeFlowAppName;
		}

		public void setFreeFlowAppName(String freeFlowAppName) {
			this.freeFlowAppName = freeFlowAppName;
		}

		public String getExpireTime() {
			return this.expireTime;
		}

		public void setExpireTime(String expireTime) {
			this.expireTime = expireTime;
		}
	}

	@Override
	public QueryOrderListResponse getInstance(UnmarshallerContext context) {
		return	QueryOrderListResponseUnmarshaller.unmarshall(this, context);
	}
}
